Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkThresholdTextureCoords Class Reference

`#include <vtkThresholdTextureCoords.h>`

Inheritance diagram for vtkThresholdTextureCoords:

[legend]
Collaboration diagram for vtkThresholdTextureCoords:

[legend]
List of all members.

## Detailed Description

compute 1D, 2D, or 3D texture coordinates based on scalar threshold

Date:
  2002/01/22 15:29:52

Revision:
  1.34

vtkThresholdTextureCoords is a filter that generates texture coordinates for any input dataset type given a threshold criterion. The criterion can take three forms: 1) greater than a particular value (ThresholdByUpper()); 2) less than a particular value (ThresholdByLower(); or 3) between two values (ThresholdBetween(). If the threshold criterion is satisfied, the "in" texture coordinate will be set (this can be specified by the user). If the threshold criterion is not satisfied the "out" is set.

Warning:
  There is a texture map - texThres.vtk - that can be used in conjunction with this filter. This map defines a "transparent" region for texture coordinates 0<=r<0.5, and an opaque full intensity map for texture coordinates 0.5<r<=1.0. There is a small transition region for r=0.5.

See also:
  vtkThreshold vtkThresholdPoints vtkTextureMapToPlane vtkTextureMapToSphere vtkTextureMapToCylinder vtkTextureMapToBox

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (67%)
  - Martin, Ken (10%)
  - Geveci, Berk (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkThresholdTextureCoords.cxx)`
  - .`h` (`/Graphics/vtkThresholdTextureCoords.h)`

Examples:
  vtkThresholdTextureCoords (Examples)

Tests:
  vtkThresholdTextureCoords (Tests)

Definition at line 64 of file vtkThresholdTextureCoords.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | ThresholdByLower (float lower)
void | ThresholdByUpper (float upper)
void | ThresholdBetween (float lower, float upper)
virtual float | GetUpperThreshold ()
virtual float | GetLowerThreshold ()
virtual void | SetTextureDimension (int)
virtual int | GetTextureDimension ()
virtual void | SetInTextureCoord (float, float, float)
virtual void | SetInTextureCoord (float[3])
virtual float * | GetInTextureCoord ()
virtual void | GetInTextureCoord (float data[3])
virtual void | SetOutTextureCoord (float, float, float)
virtual void | SetOutTextureCoord (float[3])
virtual float * | GetOutTextureCoord ()
virtual void | GetOutTextureCoord (float data[3])
## Static Public Methods
vtkThresholdTextureCoords * | New ()
int | IsTypeOf (const char *type)
vtkThresholdTextureCoords * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkThresholdTextureCoords ()
| ~vtkThresholdTextureCoords ()
void | Execute ()
int | Lower (float s)
int | Upper (float s)
int | Between (float s)
## Protected Attributes
float | LowerThreshold
float | UpperThreshold
int | TextureDimension
float | InTextureCoord [3]
float | OutTextureCoord [3]
int(vtkThresholdTextureCoords::* | ThresholdFunction )(float s)

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkThresholdTextureCoords::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 68 of file vtkThresholdTextureCoords.h.

## Constructor & Destructor Documentation

vtkThresholdTextureCoords::vtkThresholdTextureCoords | ( |  | ) | `[protected]`

vtkThresholdTextureCoords::~vtkThresholdTextureCoords | ( |  | ) | `[inline, protected]`

| Definition at line 109 of file vtkThresholdTextureCoords.h.

## Member Function Documentation

vtkThresholdTextureCoords* vtkThresholdTextureCoords::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkThresholdTextureCoords::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkThresholdTextureCoords::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkThresholdTextureCoords::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkThresholdTextureCoords* vtkThresholdTextureCoords::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkThresholdTextureCoords::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

void vtkThresholdTextureCoords::ThresholdByLower | ( | float | lower | ) |

| Criterion is cells whose scalars are less than lower threshold.

void vtkThresholdTextureCoords::ThresholdByUpper | ( | float | upper | ) |

| Criterion is cells whose scalars are less than upper threshold.

void vtkThresholdTextureCoords::ThresholdBetween | ( | float | lower,
|  | float | upper
| ) |

| Criterion is cells whose scalars are between lower and upper thresholds.

virtual float vtkThresholdTextureCoords::GetUpperThreshold | ( |  | ) | `[virtual]`

| Return the upper and lower thresholds.

virtual float vtkThresholdTextureCoords::GetLowerThreshold | ( |  | ) | `[virtual]`

| Return the upper and lower thresholds.

virtual void vtkThresholdTextureCoords::SetTextureDimension | ( | int |  | ) | `[virtual]`

| Set the desired dimension of the texture map.

virtual int vtkThresholdTextureCoords::GetTextureDimension | ( |  | ) | `[virtual]`

| Set the desired dimension of the texture map.

virtual void vtkThresholdTextureCoords::SetInTextureCoord | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the texture coordinate value for point satisfying threshold criterion.

virtual void vtkThresholdTextureCoords::SetInTextureCoord | ( | float | [3] | ) | `[virtual]`

| Set the texture coordinate value for point satisfying threshold criterion.

virtual float* vtkThresholdTextureCoords::GetInTextureCoord | ( |  | ) | `[virtual]`

| Set the texture coordinate value for point satisfying threshold criterion.

virtual void vtkThresholdTextureCoords::GetInTextureCoord | ( | float | data[3] | ) | `[virtual]`

| Set the texture coordinate value for point satisfying threshold criterion.

virtual void vtkThresholdTextureCoords::SetOutTextureCoord | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the texture coordinate value for point NOT satisfying threshold criterion.

virtual void vtkThresholdTextureCoords::SetOutTextureCoord | ( | float | [3] | ) | `[virtual]`

| Set the texture coordinate value for point NOT satisfying threshold criterion.

virtual float* vtkThresholdTextureCoords::GetOutTextureCoord | ( |  | ) | `[virtual]`

| Set the texture coordinate value for point NOT satisfying threshold criterion.

virtual void vtkThresholdTextureCoords::GetOutTextureCoord | ( | float | data[3] | ) | `[virtual]`

| Set the texture coordinate value for point NOT satisfying threshold criterion.

void vtkThresholdTextureCoords::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

int vtkThresholdTextureCoords::Lower | ( | float | s | ) | `[inline, protected]`

| Definition at line 126 of file vtkThresholdTextureCoords.h.

int vtkThresholdTextureCoords::Upper | ( | float | s | ) | `[inline, protected]`

| Definition at line 127 of file vtkThresholdTextureCoords.h.

int vtkThresholdTextureCoords::Between | ( | float | s | ) | `[inline, protected]`

| Definition at line 128 of file vtkThresholdTextureCoords.h.

## Member Data Documentation

float vtkThresholdTextureCoords::LowerThreshold`[protected]`

| Definition at line 114 of file vtkThresholdTextureCoords.h.

float vtkThresholdTextureCoords::UpperThreshold`[protected]`

| Definition at line 115 of file vtkThresholdTextureCoords.h.

int vtkThresholdTextureCoords::TextureDimension`[protected]`

| Definition at line 117 of file vtkThresholdTextureCoords.h.

float vtkThresholdTextureCoords::InTextureCoord[3]`[protected]`

| Definition at line 119 of file vtkThresholdTextureCoords.h.

float vtkThresholdTextureCoords::OutTextureCoord[3]`[protected]`

| Definition at line 120 of file vtkThresholdTextureCoords.h.

int(vtkThresholdTextureCoords::* vtkThresholdTextureCoords::ThresholdFunction)(float s)`[protected]`

The documentation for this class was generated from the following file:

- Graphics/vtkThresholdTextureCoords.h